#
# spec file for package python-Pympler
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Pympler
Version:        0.8
Release:        lp152.1.2
Summary:        A tool to analyze the memory behavior of Python objects
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/pympler/pympler
Source:         https://files.pythonhosted.org/packages/source/P/Pympler/Pympler-%{version}.tar.gz
Patch0:         pympler-flaky-tests.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Pympler is a development tool to measure, monitor and analyze the
memory behavior of Python objects in a running Python application.

By pympling a Python application, detailed insight in the size and
the lifetime of Python objects can be obtained.  Undesirable or
unexpected runtime behavior like memory bloat and other "pymples"
can easily be identified.

%prep
%setup -q -n Pympler-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python setup.py test

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Mon Nov 25 2019 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.8:
  Added
  * Python 3.8 support
  * Compatibility with Django Debug Toolbar 2.x
  Removed
  * Python 3.3 support
  * Compatibility with Django Debug Toolbar 1.x
  Fixed
  * Include dicts which aren't tracked by garbage collector in summary diff
  * Fix formatting of Python 3 class names in summary diff
* Tue Aug 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to fix flaky tests:
  * pympler-flaky-tests.patch
* Mon Aug 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, used by attrs
